This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 214125 - strcoll fails to provide stable results for latin characters
strcoll fails to provide stable results for latin characters
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: glibc (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-05 17:24 EST by Nikita Shulga
Modified: 2007-11-16 20:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-05 19:02:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Program that displays results of strcoll with different locales (407 bytes, text/plain)
2006-11-05 17:24 EST, Nikita Shulga
no flags Details

  None (edit)
Description Nikita Shulga 2006-11-05 17:24:19 EST
Description of problem:
strcoll("D","d") returns positive value for 501 out of 582 locales 
How to reproduce:
Compile attached program and execute it in following way
# ./ctest `locale -a`
Expected results:
I'm not sure if uppercase letter should be alphabetically smaller that lower case or not, but I think that 
result must be stable despite of locale. And IMHO capital letter should precede non-capital one, i.e. strcoll
("D","d") must return negative value.
Comment 1 Nikita Shulga 2006-11-05 17:24:19 EST
Created attachment 140425 [details]
Program that displays results of strcoll with different locales
Comment 2 Ulrich Drepper 2006-11-05 19:02:12 EST
This is how it must be.  Some locales sorts lower case before upper case and
some the other way around.

Note You need to log in before you can comment on or make changes to this bug.